<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class StripeCheckoutController extends Controller
{
    public function cashierStripeCheckout(Request $request)
    {
        $stripePriceId = env('STRIPE_PRICE_ID');

        $quantity = 1;
        return $request->user()->checkout([$stripePriceId => $quantity], [
            'success_url' => route('checkout-success'),
            'cancel_url' => route('checkout-cancel'),
        ]);
    }
    public function success()
    {
        $successMessage = "We have received your payment request and will let you know shortly.";
        /* Show success template to display the acknowledgement 
         of receiving the checkout request */
        return view('success', compact('successMessage'));
    }
    public function cancel()
    {
        $cancelMessage = "You have cancelled the payment. Contact shop admin to post your message.";
        return view('cancel', compact('cancelMessage'));
    }
}
