<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\StripeCheckoutController;
use App\Http\Controllers\DashboardController;

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', [DashboardController::class, 'index'])->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

Route::get('checkout/', [StripeCheckoutController::class, 'cashierStripeCheckout'])->name('checkout');

Route::get('/payment/success', [StripeCheckoutController::class, 'success'])->name('checkout-success');

Route::get('/payment/cancel', [StripeCheckoutController::class, 'cancel'])->name('checkout-cancel');

require __DIR__.'/auth.php';
